import { boot } from 'quasar/wrappers'
import { useLocaleStore } from 'src/stores/localeStore'
import { useRuntimeTranslationStore } from 'src/stores/runtimeTranslationStore'

export default boot(async () => {
  const localeStore = useLocaleStore()
  localeStore.setLocale(localeStore.locale)
  const runtimeTranslations = useRuntimeTranslationStore()
  await runtimeTranslations.loadLocale(localeStore.locale)
})
